Complexes Proteins
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/complexes/proteinsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/complexes/proteins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/complexes/proteins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"protein": "<string>",
"complex": "<string>",
"stoichiometry": 123,
"chain_id": "<string>",
"isoform_id": "<string>",
"number_of_paralogs": 123,
"linked_features": [
{
"participantId": "<string>",
"ranges": [
"<string>"
]
}
],
"source": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Complexes Proteins
Retrieve protein participants for complexes. Each record includes complex and protein.
Set verbose = true to retrieve full info on the complex and protein.
Example: complex_id = CPX-9,
complex_name = SMAD2,
description = phosphorylation.
The limit parameter controls the page size and can not exceed 50.
Pagination is 0-based.
Complexes Proteins
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/complexes/proteinsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/complexes/proteins"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/complexes/proteins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"protein": "<string>",
"complex": "<string>",
"stoichiometry": 123,
"chain_id": "<string>",
"isoform_id": "<string>",
"number_of_paralogs": 123,
"linked_features": [
{
"participantId": "<string>",
"ranges": [
"<string>"
]
}
],
"source": "<string>",
"source_url": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Homo sapiens Available options:
true, false